<template>
  <label>
    <input
      type="radio"
      :name="name"
      :id="id"
      :value.prop="$attrs.value ? $attrs.value : null"
      :checked="checked"
      @input="$emit('input', $event)"
    />
    <div
      class="radio-field-box w-full h-full bg-white text-center relative cursor-pointer inline-block transition-all p-4 border border-yellow-500 rounded-md my-4"
    >
      <div class="transition-all text-yellow-500">
        <p class="text-lg uppercase font-bold">{{ label }}</p>
        <p class="text-xs">{{ description }}</p>
      </div>
    </div>
  </label>
</template>

<script>
export default {
  name: "RadioField",
  props: {
    name: {
      type: String,
      default: null,
    },
    label: {
      default: null,
      Type: String,
    },
    description: {
      default: null,
      Type: String,
    },
    id: String,
    checked: {
      default: null,
      type: Boolean,
    },
  },
};
</script>

<style scoped>
input[type="radio"] {
  display: none;
}

input[type="radio"]:checked + .radio-field-box {
  background-color: #f97316;
}

input[type="radio"]:checked + .radio-field-box p {
  color: white;
}
</style>
